<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.emato.ich" android:sharedUserId="android.uid.system"
    >
<!--   -->
<!--    android:sharedUserId="android.uid.system"-->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <!-- networkSecurityConfig: 这里配置为强制使用HTTP请求 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permisson.INTERNETINTERNET"/>
    <uses-permission android:name="android.permisson.WAKE_LOCK"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    <!-- 自动更新需要的权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /><!-- android10+ 不能用 -->
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS_FULL"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.INSTALL_PACKAGES"
        tools:ignore="ProtectedPermissions" />
    <!--应用卸载权限-->
    <uses-permission android:name="permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="permission.REQUEST_DELETE_PACKAGES" />
    <uses-permission android:name="android.permission.DELETE_PACKAGES"
        tools:ignore="ProtectedPermissions" />


    <application
        android:name=".crash.CrashApplication"
        android:networkSecurityConfig="@xml/network_security_config"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Ichandroid"
        android:usesCleartextTraffic="true"
        tools:targetApi="m"
        >
        <activity
            android:name=".MainActivity"
            android:label="@string/app_name"
            android:theme="@style/Theme.Ichandroid.NoActionBar"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden"
            android:configChanges="orientation|keyboardHidden"><!-- 禁止弹出输入键盘 -->
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <category android:name="android.intent.category.HOME" />
                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.content.pm.extra.STATUS"/>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <action android:name="android.intent.action.MEDIA_CHECKING"/>
                <action android:name="android.intent.action.MEDIA_MOUNTED"/>
                <action android:name="android.intent.action.MEDIA_SCANNER_STARTED"/>
                <action android:name="android.intent.action.MEDIA_SCANNER_FINISHED"/>
                <action android:name="android.intent.action.MEDIA_EJECT"/>
                <data android:scheme="package"/>
                <data android:scheme="file"/>
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <receiver android:name="com.emato.ich.crash.BootBroadcastReceiver">
            <intent-filter>
                <category android:name="android.intent.category.HOME" />
                <category android:name="android.intent.category.DEFAULT" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </receiver>
        <receiver android:name="com.emato.ich.update.InstallResultReceiver">
            <intent-filter>
                <action android:name="android.content.pm.extra.STATUS"/>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <data android:scheme="package" />
            </intent-filter>
        </receiver>
        <receiver android:name="com.emato.ich.update.USBUpdateReceiver">
            <intent-filter>
                <action android:name="android.intent.action.MEDIA_CHECKING"/>
                <action android:name="android.intent.action.MEDIA_MOUNTED"/>
                <action android:name="android.intent.action.MEDIA_SCANNER_STARTED"/>
                <action android:name="android.intent.action.MEDIA_SCANNER_FINISHED"/>
                <action android:name="android.intent.action.MEDIA_UNMOUNTED" />
                <action android:name="android.intent.action.MEDIA_REMOVED" />
                <action android:name="android.intent.action.MEDIA_EJECT"/>
                <data android:scheme="file"/>
            </intent-filter>
        </receiver>
<!--        <receiver android:name=".update.InstallResultReceiver">-->
<!--            <intent-filter>-->
<!--                <action android:name="MyAction" />-->
<!--            </intent-filter>-->
<!--        </receiver>-->
<!--        <provider-->
<!--            android:name="androidx.core.content.FileProvider"-->
<!--            android:authorities="com.fengzhi.wuyemanagement.fileprovider"-->
<!--            android:grantUriPermissions="true"-->
<!--            android:exported="false">-->
<!--            <meta-data-->
<!--                android:name="android.support.FILE_PROVIDER_PATHS"-->
<!--                android:resource="@xml/file_paths" />-->
<!--        </provider>-->
<!--        <service android:name="org.eclipse.paho.android.service.MqttService"/>-->
    </application>
</manifest>